### Method

# Adw MessageDialogchoose

since: 1.3

#### Declaration [src]

    void
    adw_message_dialog_choose (
      AdwMessageDialog* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function shows `self` to the user.

The `callback` will be called when the alert is dismissed. It should call `adw_message_dialog_choose_finish()` to obtain the result.

Available since: 1.3

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.